package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bcdgrp extends AbstractCommonVo {

    private BcdVo rec;

    private BctVo blk;

    private BcacbsVo cbs;

    private PtsptaVo agt;

    private PtsptaVo agb;

    private PtsptaVo dre;

    private PtsptaVo drr;

    private PtsptaVo rog;

    private PtsptaVo rmi;

    private PtsptaVo co2;

    private PtsptaVo oap;

    private SrmVo srm;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new BcdVo();
        }
        if (blk == null) {
            blk = new BctVo();
        }
        if (cbs == null) {
            cbs = new BcacbsVo();
        }
        cbs.reset();
        if (agt == null) {
            agt = new PtsptaVo();
        }
        agt.reset();
        if (agb == null) {
            agb = new PtsptaVo();
        }
        agb.reset();
        if (dre == null) {
            dre = new PtsptaVo();
        }
        dre.reset();
        if (drr == null) {
            drr = new PtsptaVo();
        }
        drr.reset();
        if (rog == null) {
            rog = new PtsptaVo();
        }
        rog.reset();
        if (rmi == null) {
            rmi = new PtsptaVo();
        }
        rmi.reset();
        if (co2 == null) {
            co2 = new PtsptaVo();
        }
        co2.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (srm == null) {
            srm = new SrmVo();
        }
    }
}
